Skip to main content
GET
Get Operation

Authorizations

Authorization
string
header
required

The Authorization header expects a Bearer token.

Path Parameters

id
string
required

Operation ID.

Response

200 - application/json

A successful response.

createdAt
string<date-time>

Creation timestamp.

createdBy
string

ID of the user or service account who initiated the operation.

description
string

Human readable description of the operation. 0-256 characters long.

finishedAt
string<date-time>

The time when the operation finished.

id
string

ID of the operation.

progressData
object

Additional information about the progress of an operation, e.g., a progress percentage. MAY be absent while the operation is running, MUST be absent after the operation has completed.

Format of message inside [progress_data] is service-dependent and MUST be documented by the service, IF it is used.

request
object

The request that generated this operation.

requestHeaders
object

The request headers that are essential for the request that generated the operation. For instance, x-resetmask. Without these headers the request might have been processed differently if repeated. All the header names must be converted to lower case. Validator is based on: https://httpwg.org/specs/rfc9110.html#considerations.for.new.field.names

resource
object

Snapshot of the resource at the moment this operation started.

  • [resource.spec] and [resource.metadata] reflect the desired resource state at the moment this operation started. E.g., in an Update operation it will be the updated resource spec and metadata, in a Create operation it will be the spec and metadata of the resource being created, and so on.
  • [resource.status] reflects the status of the resource at the moment this operation started. This is a snapshot, call the <Resource>Service/Get to get current status of the resource.

The [resource] field MUST never be updated after this operation has started.

In a Delete operation, an operation affecting multiple resources or an operation that doesn't affect any API resources at all (e.g. a routine maintenance operation visible to the user), the [resource] inside MUST be a [google.protobuf.Empty].

resourceId
string

ID of the resource that this operation creates, updates, deletes or otherwise changes.

If the operation affects multiple resources or does not affect any API resources at all (e.g. a routine maintenance operation visible to the user), the [resource_id] must be empty.

status
object

The status of this operation. Set when this operation is completed. See https://github.com/grpc/grpc/blob/master/src/proto/grpc/status/status.proto.

[status.code] is https://github.com/googleapis/googleapis/blob/master/google/rpc/code.proto:

  • If [status.code] == OK, the operation has completed successfully.
  • If [status.code] != OK, the operation has failed or has been cancelled.
    • [status.message] will contain a user-readable and actionable error message.
    • [status.details] will contain additional diagnostic information in the form of [ServiceError] from ../error/v1alpha1/error.proto
  • [status.code] must belong to an Operation-compatible subset of GRPC codes: OK, CANCELLED, PERMISSION_DENIED, RESOURCE_EXHAUSTED, FAILED_PRECONDITION, ABORTED, INTERNAL